#include "Class.h"
#include "olcPixelGameEngine.h"
#include "DEFINES.h"
#include "Player.h"
#include "Effect.h"
#include "Crawler.h"
#include "config.h"

INCLUDE_MONSTER_LIST
INCLUDE_BULLET_LIST
INCLUDE_game

void Thief::Initialize(){
    READFROMCONFIG(Thief,THIEF);
    Thief::idle_n=WARRIOR_IDLE_N;
    Thief::idle_e=WARRIOR_IDLE_E;
    Thief::idle_s=WARRIOR_IDLE_S;
    Thief::idle_w=WARRIOR_IDLE_W;
    Thief::walk_n=WARRIOR_WALK_N;
    Thief::walk_e=WARRIOR_WALK_E;
    Thief::walk_s=WARRIOR_WALK_S;
    Thief::walk_w=WARRIOR_WALK_W;
}

SETUP_CLASS(Thief)

void Thief::OnUpdate(float fElapsedTime){

}

bool Thief::AutoAttack(){
    return false;
}
void Thief::InitializeClassAbilities(){
    #pragma region Thief Right-click Ability (???)
        Thief::rightClickAbility.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
    #pragma region Thief Ability 1 (???)
        Thief::ability1.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
    #pragma region Thief Ability 2 (???)
        Thief::ability2.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
    #pragma region Thief Ability 3 (???)
        Thief::ability3.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
}